Subject: Re: [PATCH] brcmfmac: Fix memory leak in brcmf_p2p_create_p2pdev()

From: Kalle Valo <[email-masked]>
Date: Wed, 18 Dec 2019 18:21:24 +0000 (UTC)

Navid Emamdoost <[email-masked]> wrote:

> In the implementation of brcmf_p2p_create_p2pdev() the allocated memory
> for p2p_vif is leaked when the mac address is the same as primary
> interface. To fix this, go to error path to release p2p_vif via
> brcmf_free_vif().
> 
> Fixes: cb746e47837a ("brcmfmac: check p2pdev mac address uniqueness")
> Signed-off-by: Navid Emamdoost <[email-masked]>

Patch applied to wireless-drivers-next.git, thanks.

5cc509aa83c6 brcmfmac: Fix memory leak in brcmf_p2p_create_p2pdev()

-- 
https://patchwork.kernel.org/patch/11258373/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches